//BIT DEPTH ROUTINES

void continuousBits()
{
  bitDepth = lookupTable[bitCVVAL + 32] >> 1;
  bitDepth = bitDepth + 1;
}

void steppedBits()
{
  bitDepth = bitCVVAL / 330;
  if (bitDepth > 11)
  {
    bitDepth = 11;
  }
}


//BIT RATE ROUTINES
//0= low range : 1= audio range : 2 NOT USED : 3 = external

void bitRateMath()
{

  switch (rangeSwState) // //0= low range : 1= audio range : 3 = external
  {
    case 1:  // audio range
      bitRate = lookupTable[rateCVIN] << 1;
      break;

    case 3: // external trigger
      if (bitRate != 64000) //first time through
      {
        prevsampleState = 0;
        bitRate = 64000;
      }
      else
      {
        bitRate = 64000;
        prevsampleState = sampleState;

        if (rateCVIN > 512 ) // trigger level
        {
          if (prevsampleState == 0 )
          {
            sampleState = 1;
          }
        }
        else
        {
          if (rateCVIN < 400) // off level includes hysterysis
            sampleState = 0;
          sampleTime = micros(); // keep sampling off
        }
      }
      break;

    default: // sub audio
      bitRate = 1600 + (rateCVIN << 10);
      break;
  }


}
//


